Get File/Folder statistics

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches you complete access stats of the file or folder.

One can view who has accessed your file (both team members and external users) and what actions they have performed (number of views and downloads).

Note:
  • For both private and public team folders, a member must have the Editor role or higher to view the access stats of a File.
  • For shared files, a member must have share permission to view the file access stats.
Endpoints

OAuth Scope

WorkDrive.files.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/files/{resource_id}/statistics \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

resource_idstring(Required)

The unique ID of the file/folder.

Response Example

R004

R004

F000

F7003

F7003

A001

R008

R008

F7004

R009

R009

R004

F000

200
200
400
401
403
404
500
Copied!
  {
    "data": {
      "id": "cjrrrd928be6312ac408abe79ec71db3de772",
      "type": "statistics",
      "attributes": {
        "summary": {
          "team_member_view_count": 0,
          "team_member_download_count": 0,
          "team_member_upload_count": 0,
          "external_link_view_count": 0,
          "external_link_download_count": 0,
          "external_link_upload_count": 0,
          "distinct_team_members_count": 0,
          "distinct_external_users_count": 0
        },
        "view_count": 0,
        "download_count": 0
      },
      "relationships": {
        "link_digest": {
          "data": [],
          "links": {
            "self": "https://www.zohoapis.com/workdrive/statistics/cjrrrd928be6312ac408abe79ec71db3de772/relationships/link_digest",
            "related": "https://www.zohoapis.com/workdrive/statistics/cjrrrd928be6312ac408abe79ec71db3de772/link_digest"
          }
        }
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/statistics/cjrrrd928be6312ac408abe79ec71db3de772"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Invalid resource ID"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "Statistics unavailable"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F7003",
        "title": "Invalid OAuth token"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "A001",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Authorization check failed"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F7004",
        "title": "Invalid OAuth scope"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R009",
        "title": "Resource not found"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Invalid resource ID"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General exception"
      }
    ]
  }
                
Show full